#include "QtKDEWrappers.h"

#ifdef COMPILE_WITH_KDE4
#include <kactioncollection.h>
#endif

KAction* QalQAction::addAction(const QString& text, const QString& icon, unsigned int shortcut,
           const QObject* receiver, const char* slot, QObject* parent,
           const QString& name)
{
#ifdef COMPILE_WITH_KDE4
    KActionCollection* actionCollection = dynamic_cast<KActionCollection*>(parent);
    KAction* action = actionCollection->addAction(name, receiver, slot);
    action->setText(text);
    action->setShortcut(shortcut);
    action->setIcon(KIcon(icon));
    return action;
#endif
}

KAction* QalQAction::addAction(const QString& text, unsigned int shortcut,
           const QObject* receiver, const char* slot, QObject* parent,
           const QString& name)
{
    return addAction(text, "", shortcut, receiver, slot, parent, name);
}
